Description

Hello there! I just tried to install Remote Execution tfm-rubygem-foreman_remote_execution-0.1.1-1.fm1_10.el7.noarch on my

CentOS7.1 Foreman and found that this option does not work properly:

[root@spc02 ~]#  foreman-installer --verbose --enable-foreman-proxy-plugin-remote-execution-ssh

--foreman-proxy-plugin-remote-execution-ssh-generate-keys=false

[ INFO 2016-01-04 17:53:47 verbose] Executing hooks in group boot

[ INFO 2016-01-04 17:53:47 verbose] All hooks in group boot finished

[ INFO 2016-01-04 17:53:47 verbose] Executing hooks in group init

[ INFO 2016-01-04 17:53:47 verbose] All hooks in group init finished

[ INFO 2016-01-04 17:53:47 verbose] Loading default values from puppet modules...

[ INFO 2016-01-04 17:53:47 verbose] ... finished

[ INFO 2016-01-04 17:53:47 verbose] Executing hooks in group pre_values

[ INFO 2016-01-04 17:53:47 verbose] All hooks in group pre_values finished

[ INFO 2016-01-04 17:53:47 verbose] Executing hooks in group pre_validations

[ INFO 2016-01-04 17:53:47 verbose] All hooks in group pre_validations finished

[ INFO 2016-01-04 17:53:47 verbose] Running validation checks

[ERROR 2016-01-04 17:53:48 verbose] "false" is not a boolean.  It looks to be a String

[ERROR 2016-01-04 17:53:48 verbose] Parameter foreman-proxy-plugin-remote-execution-ssh-generate-keys invalid

Error during configuration, exiting

[ERROR 2016-01-04 17:53:48 verbose] Repeating errors encountered during run:

[ERROR 2016-01-04 17:53:48 verbose] "false" is not a boolean.  It looks to be a String

[ERROR 2016-01-04 17:53:48 verbose] Parameter foreman-proxy-plugin-remote-execution-ssh-generate-keys invalid

[root@spc02 ~]#

Removing such option and placing a previously generated key into ~foreman/.ssh works though and achieves the same result (at

least for me), so I don't believe this is a high-priority thing.

Thanks!

Associated revisions

Revision fc9531e2 - 01/05/2016 10:11 AM - Stephen Benjamin

fixes #12988 - generate_keys should be boolean in for remote_execution/ssh.pp

History

#1 - 01/05/2016 10:10 AM - Stephen Benjamin

- Project changed from Foreman Remote Execution to Installer

Looks like this param is missing 

type:boolean

in the manifest
#2 - 01/05/2016 11:02 AM - Stephen Benjamin

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset puppet-foreman_proxy|fc9531e2cb08243e6ca5bea3a8c93bbf5a61876d.

#3 - 01/06/2016 10:18 AM - Marek Hulán

- Category set to Foreman modules

- Assignee set to Stephen Benjamin

- Pull request https://github.com/theforeman/puppet-foreman_proxy/pull/210 added

#4 - 01/06/2016 11:23 AM - Dominic Cleal

- translation missing: en.field_release set to 71
